Bug 490092 - repomd.xml does not match metalink for rawhide Trying other mirror.
repomd.xml does not match metalink for rawhide Trying other mirror.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Matt Domsch
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11Beta/F11BetaBlocker
  Show dependency treegraph
 
Reported: 2009-03-13 04:00 EDT by Richard W.M. Jones
Modified: 2014-01-21 18:08 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-23 14:01:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2009-03-13 04:00:02 EDT
I was asked to capture the output when yum cycles around
the given mirrors, repeatedly downloading the metadata and
failing.  Here is an example.  In this case it goes eventually
find a mirror, but in other cases I have seen it has failed.
This is on a relatively recent version of Rawhide (updated
last time probably 4 or 5 weeks ago).

# yum update
Loaded plugins: dellsysidplugin2
koji                                                     | 2.5 kB     00:00     
koji/primary_db                                          | 7.7 MB     02:52     
mingw                                                    | 1.2 kB     00:00     
mingw/primary                                            |  34 kB     00:00     
mingw                                                                   114/114
rawhide/metalink                                         |  11 kB     00:00     
rawhide                                                  | 3.4 kB     00:00     
http://ftp-stud.hs-esslingen.de/pub/fedora/linux/development/i386/os/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for rawhide
Trying other mirror.
rawhide                                                  | 3.4 kB     00:00     
ftp://ftp-stud.hs-esslingen.de/pub/fedora/linux/development/i386/os/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for rawhide
Trying other mirror.
rawhide                                                  | 3.4 kB     00:00     
http://mirror.karneval.cz/pub/linux/fedora/linux/development/i386/os/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for rawhide
Trying other mirror.
rawhide                                                  | 3.4 kB     00:00     
ftp://mirror.karneval.cz/pub/linux/fedora/linux/development/i386/os/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for rawhide
Trying other mirror.
rawhide                                                  | 3.4 kB     00:00     
http://ftp.heanet.ie/pub/fedora/linux/development/i386/os/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for rawhide
Trying other mirror.
rawhide                                                  | 3.4 kB     00:00     
ftp://ftp.heanet.ie/pub/fedora/linux/development/i386/os/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for rawhide
Trying other mirror.
rawhide                                                  | 3.4 kB     00:00     
http://ftp.fi.muni.cz/pub/linux/fedora/linux/development/i386/os/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for rawhide
Trying other mirror.
rawhide                                                  | 3.4 kB     00:00     
http://ftp.linux.cz/pub/linux/fedora/linux/development/i386/os/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for rawhide
Trying other mirror.
rawhide                                                  | 3.4 kB     00:00     
ftp://ftp.fi.muni.cz/pub/linux/fedora/linux/development/i386/os/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for rawhide
Trying other mirror.
rawhide                                                  | 3.4 kB     00:00     
ftp://ftp.linux.cz/pub/linux/fedora/linux/development/i386/os/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for rawhide
Trying other mirror.
ftp://ftp6.linux.cz/pub/linux/fedora/linux/development/i386/os/repodata/repomd.xml: [Errno 4] IOError: <urlopen error [Errno -2] Name or service not known>
Trying other mirror.
rawhide                                                  | 3.4 kB     00:00     
http://ftp.uni-bayreuth.de/linux/fedora/linux/development/i386/os/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for rawhide
Trying other mirror.
ftp://ftp.uni-bayreuth.de/pub/linux/fedora/linux/development/i386/os/repodata/repomd.xml: [Errno 4] IOError: <urlopen error ftp error: >
Trying other mirror.
rawhide                                                  | 3.4 kB     00:00     
http://fedora.tu-chemnitz.de/pub/linux/fedora/linux/development/i386/os/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for rawhide
Trying other mirror.
rawhide                                                  | 3.4 kB     00:00     
ftp://fedora.tu-chemnitz.de/pub/linux/fedora/linux/development/i386/os/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for rawhide
Trying other mirror.
rawhide                                                  | 3.4 kB     00:00     
http://ftp.SURFnet.nl/pub/os/Linux/distr/fedora/linux/development/i386/os/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for rawhide
Trying other mirror.
rawhide                                                  | 3.4 kB     00:00     
ftp://ftp.SURFnet.nl/pub/os/Linux/distr/fedora/linux/development/i386/os/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for rawhide
Trying other mirror.
rawhide                                                  | 3.4 kB     00:00     
http://ftp.tudelft.nl/download.fedora.redhat.com/linux/development/i386/os/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for rawhide
Trying other mirror.
rawhide                                                  | 3.4 kB     00:00     
ftp://ftp.tudelft.nl/pub/Linux/download.fedora.redhat.com/linux/development/i386/os/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for rawhide
Trying other mirror.
rawhide                                                  | 3.4 kB     00:00     
http://ftp.df.lth.se/pub/fedora/linux/development/i386/os/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for rawhide
Trying other mirror.
rawhide                                                  | 3.4 kB     00:00     
ftp://ftp.df.lth.se/pub/fedora/linux/development/i386/os/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for rawhide
Trying other mirror.
rawhide                                                  | 3.4 kB     00:00     
http://mirrors.nl.eu.kernel.org/fedora/development/i386/os/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for rawhide
Trying other mirror.
rawhide                                                  | 3.4 kB     00:00     
ftp://mirrors.nl.eu.kernel.org/fedora/development/i386/os/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for rawhide
Trying other mirror.
rawhide                                                  | 3.4 kB     00:00     
ftp://alviss.et.tudelft.nl/pub/fedora/linux/development/i386/os/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for rawhide
Trying other mirror.
rawhide                                                  | 3.4 kB     00:00     
http://ftp.nluug.nl/pub/os/Linux/distr/fedora/linux/development/i386/os/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for rawhide
Trying other mirror.
rawhide                                                  | 3.4 kB     00:00     
ftp://ftp.nluug.nl/pub/os/Linux/distr/fedora/linux/development/i386/os/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for rawhide
Trying other mirror.
rawhide                                                  | 3.4 kB     00:00     
http://sunsite.mff.cuni.cz/MIRRORS/fedora.redhat.com/linux/development/i386/os/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for rawhide
Trying other mirror.
rawhide                                                  | 3.4 kB     00:00     
http://ultra.linux.cz/MIRRORS/fedora.redhat.com/linux/development/i386/os/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for rawhide
Trying other mirror.
rawhide                                                  | 3.4 kB     00:00     
ftp://sunsite.mff.cuni.cz/MIRRORS/fedora.redhat.com/linux/development/i386/os/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for rawhide
Trying other mirror.
rawhide                                                  | 3.4 kB     00:00     
http://fr.rpmfind.net/linux/fedora/development/i386/os/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for rawhide
Trying other mirror.
rawhide                                                  | 3.4 kB     00:00     
ftp://fr.rpmfind.net/linux/fedora/development/i386/os/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for rawhide
Trying other mirror.
rawhide                                                  | 3.4 kB     00:00     
http://fedora.uib.no/fedora/linux/development/i386/os/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for rawhide
Trying other mirror.
rawhide                                                  | 3.4 kB     00:00     
ftp://fedora.uib.no/pub/Linux/Distributions/fedora/linux/development/i386/os/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for rawhide
Trying other mirror.
rawhide                                                  | 3.4 kB     00:00     
rawhide/primary_db                                       | 8.0 MB     00:36
Comment 1 Richard W.M. Jones 2009-03-13 04:00:45 EDT
yum-3.2.21-9.fc11.noarch
rpm-4.6.0-4.fc11.i386
Comment 2 James Antill 2009-03-13 11:33:00 EDT
 This is interesting, picking at random:

http://ftp-stud.hs-esslingen.de/pub/fedora/linux/development/i386/os/repodata/repomd.xml

...that has a timestamp of:

1236929122 = Fri Mar 13 07:25:22 2009 GMT

...and current metalink data from MM says these are the only valid ones:

1236935468 = Fri Mar 13 09:11:08 2009 GMT
1236848429 = Thu Mar 12 09:00:29 2009 GMT
1236757743 = Wed Mar 11 07:49:03 2009 GMT
1236585837 = Mon Mar  9 08:03:57 2009 GMT
1236503059 = Sun Mar  8 09:04:19 2009 GMT
1236416352 = Sat Mar  7 08:59:12 2009 GMT

...and this isn't just a weird timestamp issue:

repomd.xml = md5/f5c618c800538b5b08a0a7fbdc59d7ba
metalink   = md5/473e9c063ba2b761ed923ea9ac59667d
             md5/13b06fcf64d44762b28de825b287739b
Comment 3 Matt Domsch 2009-03-13 12:05:50 EDT
With any luck, it'll be fixed by a bugfix to mirrormanager, whereby the job that updates MM's idea of what's in the database could crash.

http://git.fedorahosted.org/git/?p=mirrormanager;a=commit;h=a32d0e3ce5a7f3bd7ce52c9e6c92c18de25001fb
Comment 4 Thomas Kowaliczek 2009-03-22 09:16:46 EDT
i have this bug too on my 64 bit sys

[root@localhost ~]# yum update
/usr/lib/yum-plugins/merge-conf.py:22: DeprecationWarning: the md5 module is deprecated; use hashlib instead
  import os, sys, md5
Loaded plugins: changelog, dellsysidplugin2, fastestmirror, merge-conf, refresh-packagekit
Determining fastest mirrors
rawhide/metalink                                                                                                       | 8.2 kB     00:00     
 * rawhide: ftp.tudelft.nl
 * rpmfusion-free-rawhide: fedora.tu-chemnitz.de
 * rpmfusion-nonfree-rawhide: fedora.tu-chemnitz.de
rawhide                                                                                                                | 3.4 kB     00:00     
http://ftp.tudelft.nl/download.fedora.redhat.com/linux/development/x86_64/os/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for rawhide
Trying other mirror.
rawhide                                                                                                                | 3.4 kB     00:00     
http://fedora.tu-chemnitz.de/pub/linux/fedora/linux/development/x86_64/os/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for rawhide
Trying other mirror.
rawhide                                                                                                                | 3.4 kB     00:00     
http://ftp.nluug.nl/pub/os/Linux/distr/fedora/linux/development/x86_64/os/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for rawhide
Trying other mirror.
rawhide                                                                                                                | 3.4 kB     00:00     
http://ftp.df.lth.se/pub/fedora/linux/development/x86_64/os/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for rawhide
Trying other mirror.
rawhide                                                                                                                | 3.4 kB     00:00     
http://ftp.lip6.fr/ftp/pub/linux/distributions/fedora/development/x86_64/os/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for rawhide
Trying other mirror.
rawhide                                                                                                                | 3.4 kB     00:00     
http://fedora.uib.no/fedora/linux/development/x86_64/os/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for rawhide
Trying other mirror.
rawhide                                                                                                                | 3.4 kB     00:00     
http://ftp.fi.muni.cz/pub/linux/fedora/linux/development/x86_64/os/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for rawhide
Trying other mirror.
rawhide                                                                                                                | 3.4 kB     00:00     
http://ftp.linux.cz/pub/linux/fedora/linux/development/x86_64/os/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for rawhide
Trying other mirror.
rawhide                                                                                                                | 3.4 kB     00:00     
http://ftp-stud.hs-esslingen.de/pub/fedora/linux/development/x86_64/os/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for rawhide
Trying other mirror.
rawhide                                                                                                                | 3.4 kB     00:00     
http://ftp.iasi.roedu.net/mirrors/fedora.redhat.com/linux/development/x86_64/os/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for rawhide
Trying other mirror.
rawhide                                                                                                                | 3.4 kB     00:00     
http://ftp.cc.uoc.gr/pub/fedora/linux/development/x86_64/os/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for rawhide
Trying other mirror.
rawhide                                                                                                                | 3.4 kB     00:00     
http://ftp.upjs.sk/pub/fedora/linux/development/x86_64/os/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for rawhide
Trying other mirror.
rawhide                                                                                                                | 3.4 kB     00:00     
http://fedora.nano-box.net/linux/development/x86_64/os/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for rawhide
Trying other mirror.
rawhide                                                                                                                | 3.4 kB     00:00     
http://ftp.unina.it/pub/linux/distributions/fedora/linux/development/x86_64/os/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for rawhide
Trying other mirror.
rawhide                                                                                                                | 3.4 kB     00:00     
rawhide/primary_db                                                                                                     |  10 MB     00:17     
rpmfusion-free-rawhide                                                                                                 | 2.7 kB     00:00     
rpmfusion-free-rawhide/primary_db                                                                                      | 327 kB     00:00     
rpmfusion-nonfree-rawhide                                                                                              | 2.7 kB     00:00     
rpmfusion-nonfree-rawhide/primary_db                                                                                   | 102 kB     00:00     
Setting up Update Process
No Packages marked for Update
Comment 5 Simon Schampijer 2009-03-23 07:35:15 EDT
Have the same issue here. Is there a fix taht should be already in place? It is blocking when you want to test current rawhide.
Comment 6 Mark McLoughlin 2009-03-23 08:03:15 EDT
Adding to F11Beta tracker
Comment 7 Matt Domsch 2009-03-23 09:05:52 EDT
investigating further.  Looks like an error parsing some rsync directory listing.
Comment 8 seth vidal 2009-03-23 09:15:37 EDT
Matt, an error, where? In MM or in yum?
Comment 9 Matt Domsch 2009-03-23 09:20:57 EDT
rsync started returning these lines:

file has vanished: "/pub/fedora/linux/updates/10/x86_64/thunderbird-2.0.0.19-1.fc10.x86_64.rpm"

which the update-master-directory-list script in MM wasn't parsing.  Fix should be live in ~20 minutes.
Comment 10 Matt Domsch 2009-03-23 10:29:04 EDT
With the above fix in place, current metalink?repo=rawhide&arch=x86_64 is returning correct information:

<?xml version="1.0" encoding="utf-8"?>
<metalink version="3.0" xmlns="http://www.metalinker.org/" type="dynamic" pubdate="Mon, 23 Mar 2009 14:12:41 GMT" generator="mirrormanager" xmlns:mm0="http:/
/fedorahosted.org/mirrormanager">
  <files>
    <file name="repomd.xml">
      <mm0:timestamp>1237796468</mm0:timestamp>
      <size>3446</size>
      <verification>
        <hash type="md5">3ee51880195178afd8f48d9f6a0d7597</hash>
        <hash type="sha1">17d55b9f07c593c760a845c9c2191dc6368a6bc7</hash>
      </verification>

Please 'yum clean metadata' and try updating rawhide and confirm success.
Comment 11 Simon Schampijer 2009-03-23 11:47:12 EDT
Matt, thanks for the quick fix. Did the steps described above - and they worked fine for me. Can update now again. Going to the next dependency issue now ;)
Comment 12 Matt Domsch 2009-03-23 14:13:28 EDT
commit 0c90131f9ded3c06f157aee0d0a0030d72dc9330
Author: Matt Domsch <matt@domsch.com>
Date:   Mon Mar 23 13:11:02 2009 -0500

    umdl: fix rsync listing parsing

    On occasion, rsync will throw a message such as
      file has vanished: "/pub/fedora/linux/updates/10/x86_64/thunderbird-2.0.0.19-1.fc10.x86_64.rpm"
    into the directory listing stream.  The parser wouldn't handle this
    and would die.  Fix the parser to ignore malformed lines.

    Also, detection of a line as being a directory was prone to failure,
    if the MOTD included a line that began with the letter 'd'.  Make this
    recognition somewhat more robust.

Note You need to log in before you can comment on or make changes to this bug.